<template>
  <form @submit.prevent="saveTodo">
    <input class="border rounded-md w-full h-8 p-5" required type="text" placeholder="Add new task..." v-model="props.todo.name">
    <h3 class="font-semibold mt-3">Description</h3>
    <textarea class="border rounded-md w-full p-5 mt-1" required rows="6" cols="50" v-model="props.todo.description"></textarea>
    <div class="flex">
      <div class="w-1/2 pr-3">
        <h3 class="font-semibold mt-3">Due Date</h3>
        <input class="border h-10 w-full mt-1 p-1" type="date" :min="currentDate" required v-model="props.todo.date">
      </div>
      <div class="w-1/2 pl-3">
        <h3 class="font-semibold mt-3">Priority</h3>
        <select class="border h-10 mt-1 w-full p-1" v-model="props.todo.priority">
          <option value="1">Low</option>
          <option value="2">Normal</option>
          <option value="3">High</option>
        </select>
      </div>
    </div>
    <button class="border rounded-lg w-full mt-20 h-10 bg-green-500 text-white" type="submit">{{ props.type === 'addTodo' ? 'Add' : 'Update' }}</button>
  </form>
</template>

<script setup lang="ts">
import { ref, computed } from 'vue'
import {useStore} from "vuex"
import { withDefaults } from 'vue'
import Todo from "../type/todo";
import moment from 'moment'

interface Props {
  todo: Todo,
  type: string
}

const currentDate = moment().format("YYYY-MM-DD")

const props = withDefaults(defineProps<Props>(),{
  type: "updateTodo"
})
const emit = defineEmits(['saveTodo'])

function saveTodo() {
  emit('saveTodo')
}
</script>
